<?php
	include_once("core/basededatos.php");
	include_once("core/Usuario.php");
	include_once("core/Paciente.php");
	include_once("core/Semana.php");
	include_once("core/Historia.php");
	include_once("core/Documento.php");
	include_once("core/Cita.php");
	include_once("core/Foto.php");
	session_start();	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="application/xhtml+xml; charset=ISO-8859-1" />
<link type="text/css" rel="stylesheet" media="all" href="../style.css"/>
<link rel="shortcut icon" type="image/x-icon" href="../favicon.ico">
<!-- include jQuery library -->
<script type="text/javascript" src="../js/jquery.js"></script>
<script type="text/javascript" src="../js/vanadium.js"></script>

<title>CECOM - Centro de Cirugía Oral y Maxilofacial - La Paz B.C.S.</title>
</head>
<body>
	<?
		$id = $_GET['id'];
		if (!$_SESSION['ObjetoUsuario']) { ?>
			 <script language="javascript">window.location="consultorio.php";</script>
		<?php
        } else {
			$usuario = $_SESSION['ObjetoUsuario'];
			$usuario->acceso($id);
		}
		
		$paciente = new Paciente();
		$paciente->id = $_GET['Pac'];
		$paciente->obtenerdatos();
		
		
		if($_POST["enviar"]){
			
			if ($_FILES['imagen1']) {	
				$mimetypes = array("image/jpeg", "image/pjpeg", "image/gif", "image/png");
				// Variables de la foto
				$name = $_FILES["imagen1"]["name"];
				$type = $_FILES["imagen1"]["type"];
				$tmp_name = $_FILES["imagen1"]["tmp_name"];
				$size = $_FILES["imagen1"]["size"];
			  
				  // Verificamos si el archivo es una imagen válida
				  if(!in_array($type, $mimetypes)) {
					$mensaje .= "<span class='red'>Error en la Foto 1. El archivo que subiste no es una imagen válida</span><br>";
				  } else {
					  $tamano=getimagesize($tmp_name);
					  if($tamano[0]>1280 || $tamano[1]>960) {
						$mensaje .= "<span class='red'>Error en la Foto 1. La imagen no debe ser mayor de 1280 x 960 Pixeles</span><br>";	  
					  } else { 
						  $size=$size/1048576;	  
						  if($size>1.1)
							$mensaje .= "<span class='red'>Error en la Foto 1. El tama&ntilde;o de la imagen es muy grande (mayor a 1 Mb).</span><br>";	  
						  $fp = fopen($tmp_name, "rb");
						  $tfoto = fread($fp, filesize($tmp_name));
						  $tfoto = addslashes($tfoto);
						  fclose($fp);
						  @unlink($tmp_name);	
						  
						  //Tengo $tfoto y $type como la variables a guardar en imagen y mime
						  $foto=new Foto();
						  $foto->id_paciente=$paciente->id;
						  $foto->imagen=$tfoto;
						  $foto->mime=$type;
						  $foto->fecha= date(Y."-".m."-".d);
						  $foto->comentario=$_POST['txt_comentario'];  
						  
						  if($foto->agregarobjeto())  {
							  $mensaje .= "Foto 1 Agregada Exitosamente<br>";
						  }
						  else {
							  $mensaje .= "Error. No se pueden agregar las fotos.<br>";
						  }
					  }
				  }
			}
			
			if ($_FILES['imagen2']) {	
				$mimetypes = array("image/jpeg", "image/pjpeg", "image/gif", "image/png");
				// Variables de la foto
				$name = $_FILES["imagen2"]["name"];
				$type = $_FILES["imagen2"]["type"];
				$tmp_name = $_FILES["imagen2"]["tmp_name"];
				$size = $_FILES["imagen2"]["size"];
			  
				  // Verificamos si el archivo es una imagen válida
				  if(!in_array($type, $mimetypes)) {
					$mensaje .= "<span class='red'>Error en la Foto 2. El archivo que subiste no es una imagen válida</span><br>";
				  } else {
					  $tamano=getimagesize($tmp_name);
					  if($tamano[0]>1280 || $tamano[1]>960) {
						$mensaje .= "<span class='red'>Error en la Foto 2. La imagen no debe ser mayor de 1280 x 960 Pixeles</span><br>";	  
					  } else { 
						  $size=$size/1048576;	  
						  if($size>1.1)
							$mensaje .= "<span class='red'>Error en la Foto 2. El tama&ntilde;o de la imagen es muy grande (mayor a 1 Mb).</span><br>";	  
						  $fp = fopen($tmp_name, "rb");
						  $tfoto = fread($fp, filesize($tmp_name));
						  $tfoto = addslashes($tfoto);
						  fclose($fp);
						  @unlink($tmp_name);	
						  
						  //Tengo $tfoto y $type como la variables a guardar en imagen y mime
						  $foto=new Foto();
						  $foto->id_paciente=$paciente->id;
						  $foto->imagen=$tfoto;
						  $foto->mime=$type;
						  $foto->fecha=date(Y."-".m."-".d);
						  $foto->comentario=$_POST['txt_comentario'];  
						  
						  if($foto->agregarobjeto())  {
							  $mensaje .= "Foto 2 Agregada Exitosamente<br>";
						  }
						  else {
							  $mensaje .= "Error. No se pueden agregar las fotos.<br>";
						  }
					  }
				  }
			}
			
			
			if ($_FILES['imagen3']) {	
				$mimetypes = array("image/jpeg", "image/pjpeg", "image/gif", "image/png");
				// Variables de la foto
				$name = $_FILES["imagen3"]["name"];
				$type = $_FILES["imagen3"]["type"];
				$tmp_name = $_FILES["imagen3"]["tmp_name"];
				$size = $_FILES["imagen3"]["size"];
			  
				  // Verificamos si el archivo es una imagen válida
				  if(!in_array($type, $mimetypes)) {
					$mensaje .= "<span class='red'>Error en la Foto 3. El archivo que subiste no es una imagen válida</span><br>";
				  } else {
					  $tamano=getimagesize($tmp_name);
					  if($tamano[0]>1280 || $tamano[1]>960) {
						$mensaje .= "<span class='red'>Error en la Foto 3. La imagen no debe ser mayor de 1280 x 960 Pixeles</span><br>";	  
					  } else { 
						  $size=$size/1048576;	  
						  if($size>1.1)
							$mensaje .= "<span class='red'>Error en la Foto 3. El tama&ntilde;o de la imagen es muy grande (mayor a 1 Mb).</span><br>";	  
						  $fp = fopen($tmp_name, "rb");
						  $tfoto = fread($fp, filesize($tmp_name));
						  $tfoto = addslashes($tfoto);
						  fclose($fp);
						  @unlink($tmp_name);	
						  
						  //Tengo $tfoto y $type como la variables a guardar en imagen y mime
						  $foto=new Foto();
						  $foto->id_paciente=$paciente->id;
						  $foto->imagen=$tfoto;
						  $foto->mime=$type;
						  $foto->fecha=date(Y."-".m."-".d);
						  $foto->comentario=$_POST['txt_comentario'];  
						  
						  if($foto->agregarobjeto())  {
							  $mensaje .= "Foto 3 Agregada Exitosamente<br>";
						  }
						  else {
							  $mensaje .= "Error. No se pueden agregar las fotos.<br>";
						  }
					  }
				  }
			}
			
			
			if ($_FILES['imagen4']) {	
				$mimetypes = array("image/jpeg", "image/pjpeg", "image/gif", "image/png");
				// Variables de la foto
				$name = $_FILES["imagen4"]["name"];
				$type = $_FILES["imagen4"]["type"];
				$tmp_name = $_FILES["imagen4"]["tmp_name"];
				$size = $_FILES["imagen4"]["size"];
			  
				  // Verificamos si el archivo es una imagen válida
				  if(!in_array($type, $mimetypes)) {
					$mensaje .= "<span class='red'>Error en la Foto 4. El archivo que subiste no es una imagen válida</span><br>";
				  } else {
					  $tamano=getimagesize($tmp_name);
					  if($tamano[0]>1280 || $tamano[1]>960) {
						$mensaje .= "<span class='red'>Error en la Foto 4. La imagen no debe ser mayor de 1280 x 960 Pixeles</span><br>";	  
					  } else { 
						  $size=$size/1048576;	  
						  if($size>1.1)
							$mensaje .= "<span class='red'>Error en la Foto 4. El tama&ntilde;o de la imagen es muy grande (mayor a 1 Mb).</span><br>";	  
						  $fp = fopen($tmp_name, "rb");
						  $tfoto = fread($fp, filesize($tmp_name));
						  $tfoto = addslashes($tfoto);
						  fclose($fp);
						  @unlink($tmp_name);	
						  
						  //Tengo $tfoto y $type como la variables a guardar en imagen y mime
						  $foto=new Foto();
						  $foto->id_paciente=$paciente->id;
						  $foto->imagen=$tfoto;
						  $foto->mime=$type;
						  $foto->fecha=date(Y."-".m."-".d);
						  $foto->comentario=$_POST['txt_comentario'];  
						  
						  if($foto->agregarobjeto())  {
							  $mensaje .= "Foto 4 Agregada Exitosamente<br>";
						  }
						  else {
							  $mensaje .= "Error. No se pueden agregar las fotos.<br>";
						  }
					  }
				  }
			}
			
			
			if ($_FILES['imagen5']) {	
				$mimetypes = array("image/jpeg", "image/pjpeg", "image/gif", "image/png");
				// Variables de la foto
				$name = $_FILES["imagen5"]["name"];
				$type = $_FILES["imagen5"]["type"];
				$tmp_name = $_FILES["imagen5"]["tmp_name"];
				$size = $_FILES["imagen5"]["size"];
			  
				  // Verificamos si el archivo es una imagen válida
				  if(!in_array($type, $mimetypes)) {
					$mensaje .= "<span class='red'>Error en la Foto 5. El archivo que subiste no es una imagen válida</span><br>";
				  } else {
					  $tamano=getimagesize($tmp_name);
					  if($tamano[0]>1280 || $tamano[1]>960) {
						$mensaje .= "<span class='red'>Error en la Foto 5. La imagen no debe ser mayor de 1280 x 960 Pixeles</span><br>";	  
					  } else { 
						  $size=$size/1048576;	  
						  if($size>1.1)
							$mensaje .= "<span class='red'>Error en la Foto 5. El tama&ntilde;o de la imagen es muy grande (mayor a 1 Mb).</span><br>";	  
						  $fp = fopen($tmp_name, "rb");
						  $tfoto = fread($fp, filesize($tmp_name));
						  $tfoto = addslashes($tfoto);
						  fclose($fp);
						  @unlink($tmp_name);	
						  
						  //Tengo $tfoto y $type como la variables a guardar en imagen y mime
						  $foto=new Foto();
						  $foto->id_paciente=$paciente->id;
						  $foto->imagen=$tfoto;
						  $foto->mime=$type;
						  $foto->fecha=date(Y."-".m."-".d);
						  $foto->comentario=$_POST['txt_comentario'];  
						  
						  if($foto->agregarobjeto())  {
							  $mensaje .= "Foto 5 Agregada Exitosamente<br>";
						  }
						  else {
							  $mensaje .= "Error. No se pueden agregar las fotos.<br>";
						  }
					  }
				  }
			}  			  
		}	
			
		$pacientenombrecompleto = "NOMBRE: ".$paciente->nombre." ".$paciente->apellidop." ".$paciente->apellidom;
		$pacientedatos = "EDAD: ".$paciente->edad." SEXO: ".$paciente->despliegasexo();
		
	?>
    <div align="center">
    	<div id="container">
        	<div id="cuerpo">
            <!--- Header --->
                <div id="arribapagina"></div>
                <div id="arriba">
                    <div id="fondo_izq"></div>
                    <div id="logo"><img alt="cecom" src="../img/logo_CECOM.jpg" width="400" height="150" /></div>
                    <div id="fondo_izq_sistema"><h2 align="center">Sistema Consultorio</h2>
                    	<div id="menu_sistema"><a class="item_menu" href="verFotos.php?id=<?php echo $id; ?>&Pac=<?php echo $_GET['Pac']; ?>">- Regresar</a> <a class="item_menu_exit" href="consultorio.php">- Salir</a></div>
                    </div>
                    
                </div>
                <div id="separacion_linea"></div>
                
            <!---Cuerpo--->           
            <div id="cuerpo_sistema">
                <h3>Agregar Foto</h3>
                <p align="left"><?php echo $pacientenombrecompleto; ?> </p>
                <p align="left"><?php echo $mensaje; ?></p>
                <form name="frmimage" id="frmimage" method="post" enctype="multipart/form-data" action="agregarFoto.php?id=<?php echo $id; ?>&Pac=<?php echo $_GET['Pac']; ?>"> 
                	<table width="800" border="0">
                      <tr>
                        <td width="200">Foto 1:</td>
                        <td width="600"><input type="file" name="imagen1" size="70"/></td>
                      </tr>
                      <tr>
                        <td>Foto 2:</td>
                        <td><input type="file" name="imagen2" size="70"/></td>
                      </tr>
                      <tr>
                        <td>Foto 3:</td>
                        <td><input type="file" name="imagen3" size="70" /></td>
                      </tr>
                      <tr>
                        <td>Foto 4:</td>
                        <td><input type="file" name="imagen4" size="70"/></td>
                      </tr>
                      <tr>
                        <td>Foto 5:</td>
                        <td><input type="file" name="imagen5" size="70"/></td>
                      </tr>
                      <tr>
                        <td>Comentario de Fotos:</td>
                        <td><textarea name="txt_comentario" cols="50" rows="8"></textarea></td>
                      </tr>
                      <tr>
                        <td></td>
                        <td><input type="submit" name="enviar" id="enviar" value="Guardar" /></td>
                      </tr>
                    </table>        
                </form>
            </div>    
            
            <!--Pie-->    
        	<div id="footer">
            <p>CECOM Centro de Cirugía Oral y Maxilofacial</p>
            </div>
       </div>
	</div>
</body>
</html>
